main()
{

	setCullFog (0, 4000, 0.8, 0.85, 0.8, 0);
	ambientPlay("ambient_stlo");

	maps\mp\_load::main();
	maps\mp\mp_dawnville_fx::main();
        maps\mp\radio1::main();
        maps\mp\radio2::main();
        maps\mp\stlo_camion::main();

	game["allies"] = "american";
	game["axis"] = "german";

	game["american_soldiertype"] = "airborne";
	game["american_soldiervariation"] = "normal";
	game["german_soldiertype"] = "german_waffen";
	game["german_soldiervariation"] = "normal";

	game["attackers"] = "allies";
	game["defenders"] = "axis";


	game["layoutimage"] = "mp_saint-lo";

	level.obj["document_1"] = "Code Book";
	level.obj["document_2"] = "field radio";
	game["re_attackers"] = "allies";
	game["re_defenders"] = "axis";
	game["re_attackers_obj_text"] = "Voler le livre et la radio et les ramener au QG allie";
	game["re_defenders_obj_text"] = "Garder precieusement le livre et la radio";
	game["re_spectator_obj_text"] = "Allies : Voler le livre et la radio et les ramener au QG allie/Axes : Garder precieusement le livre et la radio";
	game["re_attackers_intro_text"] = "Voler le livre et la radio et les ramener au QG allie";
	game["re_defenders_intro_text"] = "Garder precieusement le livre et la radio";

	//paramtres HeadQuarter
	if (getcvar("g_gametype") == "hq")
{
		radio = spawn ("script_model", (0,0,0));
		radio.origin = (608, -589, 53);
		radio.angles = (0, 270, 0);
		radio.targetname = "hqradio";
		
		radio = spawn ("script_model", (0,0,0));
		radio.origin = (1791, -1590, 76);
		radio.angles = (0, 45, 0);
		radio.targetname = "hqradio";
		
		radio = spawn ("script_model", (0,0,0));
		radio.origin = (4200, -356, 169);
		radio.angles = (0, 315, 0);
		radio.targetname = "hqradio";

		radio = spawn ("script_model", (0,0,0));
		radio.origin = (1065, -624, 231);
		radio.angles = (0, 315, 0);
		radio.targetname = "hqradio";

		radio = spawn ("script_model", (0,0,0));
		radio.origin = (4382, -1392, 196);
		radio.angles = (0, 90, 0);
		radio.targetname = "hqradio";

		radio = spawn ("script_model", (0,0,0));
		radio.origin = (-36, -1268, 187);
		radio.angles = (0, 180, 0);
		radio.targetname = "hqradio";

		radio = spawn ("script_model", (0,0,0));
		radio.origin = (949, -576, -31);
		radio.angles = (0, 315, 0);
		radio.targetname = "hqradio";

		radio = spawn ("script_model", (0,0,0));
		radio.origin = (-95, -1672, 154);
		radio.angles = (0, 135, 0);
		radio.targetname = "hqradio";

		radio = spawn ("script_model", (0,0,0));
		radio.origin = (2917, -807, -23);
		radio.angles = (0, 90, 0);
		radio.targetname = "hqradio";

		radio = spawn ("script_model", (0,0,0));
		radio.origin = (2734, -982, 71);
		radio.angles = (0, 270, 0);
		radio.targetname = "hqradio";

		radio = spawn ("script_model", (0,0,0));
		radio.origin = (3739, -2345, 87);
		radio.angles = (0, 270, 0);
		radio.targetname = "hqradio";
}



	SetupDoorsAndWindows();
}

SetupDoorsAndWindows()
{
	doors = getentarray("stlo_door","targetname");
	if(isdefined(doors))
	{
		for(i=0;i<doors.size;i++)
		{
			doors[i] thread SetupDoor("door");
		}
	}
	windows = getentarray("stlo_window","targetname");
	if(isdefined(windows))
	{
		for(i=0;i<windows.size;i++)
		{
			windows[i] thread SetupDoor("window");
		}
	}
}

SetupDoor(soundpfx)
{
	if(!isdefined(self.degrees))
	{
		self.degrees = 90;
	}
	if(self.degrees == 0)
	{
		self.degrees = 90;
	}
	if(!isdefined(self.time))
	{
		self.time = 1000;
	}
	if(!isdefined(self.spawnflags))
	{
	    self.spawnflags = 0;
	}
	left = getent(self.target, "targetname");
	right = getent(left.target, "targetname");
	left thread TriggerDoor(self.degrees, self, right, soundpfx);
	right thread TriggerDoor(0 - self.degrees, self, left, soundpfx);
}

TriggerDoor(angle, door, trig, soundpfx)
{
	time = door.time / 1000;
	while(1)
	{
		self waittill("trigger", other);
		dme = distance(other getOrigin(), self getOrigin());
		dmh = distance(other getOrigin(), trig getOrigin());
		if(dme > dmh) {
			nangle = 0 - angle;
		} else {
			nangle = angle;
		}
		trig triggerOff();

		door playsound("open_" + soundpfx);

		door rotateto((0, nangle, 0), time, time / 2, time / 2);
		door waittill("rotatedone");
        self waittill("trigger");
		door playsound("close_" + soundpfx);
		door rotateto((0, 0, 0), time, time / 2, time / 2);
		door waittill("rotatedone");
		door playsound("slam_" + soundpfx);
		trig triggerOn();
	}
}

triggerOff()
{
	if (!isdefined (self.realOrigin))
		self.realOrigin = self.origin;

	if (self.origin == self.realorigin)
		self.origin += (0, 0, -10000);
}

triggerOn()
{
	if (isDefined (self.realOrigin) )
		self.origin = self.realOrigin;
}
